
// ***********************************************************************
//                    __ana_Xmux_2.h
// 
// zweifach - Analogmultiplexer
// 
// ***********************************************************************


typedef struct {
  BIT *selektor;    /* IO=E REM="Schalteingang" */
  FL  *e_A_0;    /* IO=E REM="Analogeingang A wenn Schalteingang = 0" */
  FL  *ausgang_A;    /* IO=A REM="Analogausgang A" */
  FL  *e_A_1;    /* IO=E REM="Analogeingang A wenn Schalteingang = 1" */
  FL  *e_B_0;    /* IO=E REM="Analogeingang B wenn Schalteingang = 0" */
  FL  *ausgang_B;    /* IO=A REM="Analogausgang B" */
  FL  *e_B_1;    /* IO=E REM="Analogeingang B wenn Schalteingang = 1" */
} ANA_2MUX_2_LIBMAKBIB0002;
/**/
typedef struct {
  BIT *selektor;    /* IO=E REM="Schalteingang" */
  FL  *e_A_0;    /* IO=E REM="Analogeingang A wenn Schalteingang = 0" */
  FL  *ausgang_A;    /* IO=A REM="Analogausgang A" */
  FL  *e_A_1;    /* IO=E REM="Analogeingang A wenn Schalteingang = 1" */
  FL  *e_B_0;    /* IO=E REM="Analogeingang B wenn Schalteingang = 0" */
  FL  *ausgang_B;    /* IO=A REM="Analogausgang B" */
  FL  *e_B_1;    /* IO=E REM="Analogeingang B wenn Schalteingang = 1" */
  FL  *e_C_0;    /* IO=E REM="Analogeingang C wenn Schalteingang = 0" */
  FL  *ausgang_C;    /* IO=A REM="Analogausgang C" */
  FL  *e_C_1;    /* IO=E REM="Analogeingang C wenn Schalteingang = 1" */
} ANA_3MUX_2_LIBMAKBIB0002;
/**/
typedef struct {
  BIT *selektor;    /* IO=E REM="Schalteingang" */
  FL  *e_A_0;    /* IO=E REM="Analogeingang A wenn Schalteingang = 0" */
  FL  *ausgang_A;    /* IO=A REM="Analogausgang A" */
  FL  *e_A_1;    /* IO=E REM="Analogeingang A wenn Schalteingang = 1" */
  FL  *e_B_0;    /* IO=E REM="Analogeingang B wenn Schalteingang = 0" */
  FL  *ausgang_B;    /* IO=A REM="Analogausgang B" */
  FL  *e_B_1;    /* IO=E REM="Analogeingang B wenn Schalteingang = 1" */
  FL  *e_C_0;    /* IO=E REM="Analogeingang C wenn Schalteingang = 0" */
  FL  *ausgang_C;    /* IO=A REM="Analogausgang C" */
  FL  *e_C_1;    /* IO=E REM="Analogeingang C wenn Schalteingang = 1" */
  FL  *e_D_0;    /* IO=E REM="Analogeingang D wenn Schalteingang = 0" */
  FL  *ausgang_D;    /* IO=A REM="Analogausgang D" */
  FL  *e_D_1;    /* IO=E REM="Analogeingang D wenn Schalteingang = 1" */
} ANA_4MUX_2_LIBMAKBIB0002;
/**/
/**/
/* GRUPPE=PR-MAKBIB-0002a */
void ana_2mux_2_libmakbib0002 (ANA_2MUX_2_LIBMAKBIB0002 *io);
void ana_3mux_2_libmakbib0002 (ANA_3MUX_2_LIBMAKBIB0002 *io);
void ana_4mux_2_libmakbib0002 (ANA_4MUX_2_LIBMAKBIB0002 *io);

