
// ***********************************************************************
//                    __betr_ex.h
// 
// Betriebsartenschalter mit externer Zeitprogramm-Freigabe, Zeitprogramm-Sperre und Taster
// 
// ***********************************************************************


typedef struct {
  BIT *Betrart;     /* IO=E BIT=2 REM="Betriebsart 0=AUS 1=EIN 2=Uhr" */
  BIT *Start;       /* IO=A REM="Umrechnung fr das START- oder VORSTART- Modul" */
  BIT *ext_Sperre;  /* IO=E REM="externe Zeitprogramm-Sperre" */
  BIT *Sperre;      /* IO=A REM="berechnete externe Sperre" */
  BIT *ext_Freig;   /* IO=E REM="externe Zeitprogramm-Freigabe" */
  BIT *Freigabe;    /* IO=A REM="berechnete externe Freigabe" */
  BIT *ext_Taster;  /* IO=E REM="externer Taster" */
  BIT *Taster;      /* IO=A REM="berechneter -extverl- fr das OPTSTART-Modul oder -verl_um- fr das BETRVERL-Modul" */
  UI  *verlzeit;    /* IO=E REM="Betriebsverlngerungszeit" */
  BIT *TastFkt;     /* IO=E REM="Tasterfunktion wenn verlzeit 0 ist: 0=Umschaltfunktion 1=Schalterfunktion" */
  BIT *__Eltako;    /* REM="gemerkter Eingangszustand" */
} BETR_EX_LIBMAKBIB0002;
/**/
/**/
/* GRUPPE=PR-MAKBIB-0002a */
void betr_ex_libmakbib0002 (BETR_EX_LIBMAKBIB0002 *io);
