
// ***********************************************************************
//                    __changeover.h
// 
// Umschaltung Wrme - Khlen
// 
// ***********************************************************************





typedef struct {
  BIT *b_umschalt;      /* IO=A REM="binrer Umschaltausgang ( 0 - 1 )" */
  FL  *a_umschalt;      /* IO=A REM="analoger Umschaltausgang ( 0 - 100 )" */
  BIT *freigabe;        /* IO=E REM="Freigabe Umschaltung" */
  BIT *ext_Sperre;      /* IO=E REM="externe Sperre (Khlbetrieb wird untersagt. Gegebenenfalls wird vom Khlbetrieb in Heizbetrieb umgeschaltet) " */
  FL  *w;               /* IO=E REM="Soll-Wert fr die Umschaltung" */
  FL  *hysterese;       /* IO=E REM="Hysterese fr die Umschaltung" */
  FL  *x;               /* IO=E REM="Ist- Wert fr die Umschaltung z.B. Aussentemperatur" */
  BIT *ext_hum;         /* IO=E REM="externer Hand-Umschaltanforderung (Impulseingang)" */
  BIT *GLT_hum;         /* IO=A REM="GLT Hand-Umschaltanforderung (Eingebbare Anzeige wird auf 0 gesetzt)" */
  UI  *max_t_hum;       /* IO=E REM="Zeitdauer der Hand-Umschaltung in Minuten (Im Time-Format d.h 01:00 == 60 Minuen)" */
  BIT *akt_sperre;      /* IO=A REM="Sperre    nach Umschaltung aktiv" */
  FL  *t_sperre;        /* IO=E REM="Speerzeit nach Umschaltung in Sekunden" */
  BIT *mod_h_aus;       /* IO=A REM="Modus Hand AUS" */
  BIT *mod_h_ein;       /* IO=A REM="Modus Hand EIN" */
  UI  *status;          /* IO=A REM="Status" */
  UI  *H_Restzeit;      /* IO=A REM="Restzeit Handumschaltung in Minuten (kein Time-Format)" */
  UI  *S_Restzeit;      /* IO=A REM="Restzeit Sperrzeit in Sekunden" */
  BIT *__bATumschalt;   /*      REM="AT-Umschaltung merken" */
  BIT *__bumschalt;     /*      REM="Umschaltmerker" */   
  BIT *__bhumext;       /*      REM="ext.Handumschalter merken */
  UI  *__aktSekunde;    /*      REM="Sekundenmerker" */
  UI  *__aktMinute;     /*      REM="Minutenmerker"  */
} CHANGEOVER_LIBMAKBIB0002;
/**/
/**/
/* GRUPPE=PR-MAKBIB-0002a */

void changeover_libmakbib0002 (CHANGEOVER_LIBMAKBIB0002 *io);

