
// ***********************************************************************
//                    __sw_stufe15.h
// 
// Sollwert- Festlegungen fr 15 STufen
// 
// ***********************************************************************


typedef struct {
  FL  *sw_in;    /* IO=E REM="Sollwert bei keiner Freigabe" */
  BIT *freigabe;    /* IO=E REM="Freigabe" */
  FL  *sw_ber;    /* IO=A REM="berechneter Sollwert" */
  FL  *sw_st_01;    /* IO=E REM="Sollwert Stufe 1" */
  UI  *da_st_01;    /* IO=E REM="Zeitdauer der Stufe 1 in Minuten (Im Time-Fformat d.h 01:00 == 60 Minuen)" */
  FL  *sw_st_02;    /* IO=E REM="Sollwert Stufe 2" */
  UI  *da_st_02;    /* IO=E REM="Zeitdauer der Stufe 2 in Minuten (Im Time-Format d.h 01:00 == 60 Minuen)" */
  FL  *sw_st_03;    /* IO=E REM="Sollwert Stufe 3" */
  UI  *da_st_03;    /* IO=E REM="Zeitdauer der Stufe 3 in Minuten (Im Time-Format d.h 01:00 == 60 Minuen)" */
  FL  *sw_st_04;    /* IO=E REM="Sollwert Stufe 4" */
  UI  *da_st_04;    /* IO=E REM="Zeitdauer der Stufe 4 in Minuten (Im Time-Format d.h 01:00 == 60 Minuen)" */
  FL  *sw_st_05;    /* IO=E REM="Sollwert Stufe 5" */
  UI  *da_st_05;    /* IO=E REM="Zeitdauer der Stufe 5 in Minuten (Im Time-Format d.h 01:00 == 60 Minuen)" */
  FL  *sw_st_06;    /* IO=E REM="Sollwert Stufe 6" */
  UI  *da_st_06;    /* IO=E REM="Zeitdauer der Stufe 6 in Minuten (Im Time-Format d.h 01:00 == 60 Minuen)" */
  FL  *sw_st_07;    /* IO=E REM="Sollwert Stufe 7" */
  UI  *da_st_07;    /* IO=E REM="Zeitdauer der Stufe 7 in Minuten (Im Time-Format d.h 01:00 == 60 Minuen)" */
  FL  *sw_st_08;    /* IO=E REM="Sollwert Stufe 8" */
  UI  *da_st_08;    /* IO=E REM="Zeitdauer der Stufe 8 in Minuten (Im Time-Format d.h 01:00 == 60 Minuen)" */
  FL  *sw_st_09;    /* IO=E REM="Sollwert Stufe 9" */
  UI  *da_st_09;    /* IO=E REM="Zeitdauer der Stufe 9 in Minuten (Im Time-Format d.h 01:00 == 60 Minuen)" */
  FL  *sw_st_10;    /* IO=E REM="Sollwert Stufe 10" */
  UI  *da_st_10;    /* IO=E REM="Zeitdauer der Stufe 10 in Minuten (Im Time-Format d.h 01:00 == 60 Minuen)" */
  FL  *sw_st_11;    /* IO=E REM="Sollwert Stufe 11" */
  UI  *da_st_11;    /* IO=E REM="Zeitdauer der Stufe 11 in Minuten (Im Time-Format d.h 01:00 == 60 Minuen)" */
  FL  *sw_st_12;    /* IO=E REM="Sollwert Stufe 12" */
  UI  *da_st_12;    /* IO=E REM="Zeitdauer der Stufe 12 in Minuten (Im Time-Format d.h 01:00 == 60 Minuen)" */
  FL  *sw_st_13;    /* IO=E REM="Sollwert Stufe 13" */
  UI  *da_st_13;    /* IO=E REM="Zeitdauer der Stufe 13 in Minuten (Im Time-Format d.h 01:00 == 60 Minuen)" */
  FL  *sw_st_14;    /* IO=E REM="Sollwert Stufe 14" */
  UI  *da_st_14;    /* IO=E REM="Zeitdauer der Stufe 14 in Minuten (Im Time-Format d.h 01:00 == 60 Minuen)" */
  FL  *sw_st_15;    /* IO=E REM="Sollwert Stufe 15" */
  UI  *akt_stufe;    /* IO=A REM="Anzeige aktive Stufe (0=keine Freigabe)" */
  UI  *Restzeit;    /* IO=A REM="Restzeit in Minuten (kein Time-Format)" */
  UI  *__aktSekunde;  /*      REM="Sekundenmerker" */
  UI  *__aktMinute;   /*      REM="Minutenmerker" */
} SW_STUFE15_LIBMAKBIB0002;
/**/
/**/
/* GRUPPE=PR-MAKBIB-0002a */
void sw_stufe15_libmakbib0002 (SW_STUFE15_LIBMAKBIB0002 *io);
